Does not work with FF 5.0, Ubuntu Rated 3 out of 5 stars

Works on my Win7 OSs, but with FF 5.0 and Ubuntu (latest), neither the context menu nor the icon do anything.

This review is for a previous version of the add-on (4.0.0.155231).